title: CTA
fields:
  -
    handle: cta_is_enabled
    field:
      default: true
      type: toggle
      display: Enabled
      listable: hidden
      instructions_position: above
      visibility: visible
      replicator_preview: true
      hide_display: false
      width: 50
  -
    handle: cta_is_custom
    field:
      default: false
      type: toggle
      display: Custom
      width: 50
      listable: hidden
      instructions_position: above
      visibility: visible
      replicator_preview: true
      hide_display: false
      if:
        cta_is_enabled: 'equals true'
  -
    handle: cta_tagline
    field:
      input_type: text
      antlers: false
      type: text
      display: Tagline
      listable: hidden
      instructions_position: above
      visibility: visible
      replicator_preview: true
      hide_display: false
      validate:
        - required
        - sometimes
      always_save: false
      if:
        cta_is_custom: 'equals true'
  -
    handle: cta_button_text
    field:
      input_type: text
      antlers: false
      type: text
      display: 'Button text'
      listable: hidden
      instructions_position: above
      visibility: visible
      replicator_preview: true
      hide_display: false
      validate:
        - required
        - sometimes
      always_save: false
      if:
        cta_is_custom: 'equals true'
  -
    handle: cta_button_link
    field:
      input_type: text
      antlers: false
      type: text
      display: 'Button link'
      listable: hidden
      instructions_position: above
      visibility: visible
      replicator_preview: true
      hide_display: false
      validate:
        - required
        - sometimes
      if:
        cta_is_custom: 'equals true'
